Get Organization's plans
curl --request GET \
--url https://api.partoo.co/v2/org/{org_id}/plans \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/org/{org_id}/plans"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/org/{org_id}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plans": [
{
"name": "presence_management",
"subscription_date": "2025-01-01",
"expiration_date": "2026-01-01"
},
{
"name": "review_management",
"subscription_date": "2025-01-01",
"expiration_date": null
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Subscriptions
Get Organization's plans
This endpoint lets you retrieve the organization’s plans.
You need to be a Provider to access this endpoint.
GET
/
org
/
{org_id}
/
plans
Get Organization's plans
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Unique ID of the organization to which the resource belongs. Only PROVIDER users can access resources from a different organization than their own. If you are not a PROVIDER, this will default to the ID of your organization.
Response
OK
The exhaustive list of the organization's plans.
Show child attributes
Show child attributes
Example:
[ { "name": "presence_management", "subscription_date": "2025-01-01", "expiration_date": "2026-01-01" }, { "name": "review_management", "subscription_date": "2025-01-01", "expiration_date": null } ]
Was this page helpful?